Flag a comment for moderator attention
POST /api/learn/comments/{commentId}/reports. Flag a comment for moderator attention. Headless LMS Discussion API reference.
Path Parameters
commentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/learn/comments/string/reports" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "commentId": "string", "orgUserId": "string", "reason": "string", "resolvedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Set your reaction to a comment, replacing any you already had PUT
PUT /api/learn/comments/{commentId}/reaction. Set your reaction to a comment, replacing any you already had. Headless LMS Discussion API reference.
List comments, filtered by course, activity, author, status or reports GET
GET /api/comments. List comments, filtered by course, activity, author, status or reports. Headless LMS Discussion API reference.